mixin link(title, href, text)
  - if (typeof(text) === 'undefined') text = title
  - if (typeof(href) === 'undefined') href = '#'
  a(href=href, title=title)&attributes(attributes)
    if block
      block
    else
      !=text
mixin link-img(title,src,href,text)
  +link(title,href,text)&attributes(attributes)
    +img(src, alt)
